Skip to main content
`Ctrl`+`K`

# DMDATSSetRHSFunctionLocal

set a local residual evaluation function for use with `DMDA`

## Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetRHSFunctionLocal(DM dm, InsertMode imode, DMDATSRHSFunctionLocalFn *func, void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- imode - insert mode for the residual

- func - local residual evaluation, see `DMDATSRHSFunctionLocalFn` for the calling sequence

- ctx - optional context for local residual evaluation

## See Also

TS: Scalable ODE and DAE Solvers, `DMDA`, `DMDATSRHSFunctionLocalFn`, `TS`, `TSSetRHSFunction()`, `DMTSSetRHSFunction()`, `DMDATSSetRHSJacobianLocal()`, `DMDASNESSetFunctionLocal()`

## Level

beginner

## Location

src/ts/utils/dmdats.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages